[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# THeaderSection.Assign

Implements object persistence for the THeaderSection type.

## Declaration

Source position: comctrls.pp line 3984

`public procedure THeaderSection.Assign(`
`Source: TPersistent`
`); override;`

## Arguments

`Source` |  | Persistent object with the property values copied to the current class instance.

## Description

Assign is an overridden method in THeaderSection. It extends the inherited method to provide support for persistent objects using the THeaderSection type.

If Source is a THeaderSection instance, the following properties are copied into the current class instance:

- ImageIndex
- Text
- Width

The Changed method is called to notify the collection that the current item has been updated.

If Source is not derived from THeaderSection, the inherited method (in TPersistent) is called using Source as an argument. An EConvertError exception is raised in the inherited method if Source has not been assigned.

## See also

TCollectionItem
TPersistent.Assign